diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 4e0745a..8aa65a3 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -361,23 +361,6 @@ o )show AffinePlane
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
-\cross{AFFPL}{?.?} &
-\cross{AFFPL}{?=?} &
-\cross{AFFPL}{?\~{}=?} &
-\cross{AFFPL}{affinePoint} &
-\cross{AFFPL}{coerce} \\
-\cross{AFFPL}{conjugate} &
-\cross{AFFPL}{definingField} &
-\cross{AFFPL}{degree} &
-\cross{AFFPL}{hash} &
-\cross{AFFPL}{latex} \\
-\cross{AFFPL}{list} &
-\cross{AFFPL}{orbit} &
-\cross{AFFPL}{origin} &
-\cross{AFFPL}{pointValue} &
-\cross{AFFPL}{rational?} \\
-\cross{AFFPL}{removeConjugate} &
-\cross{AFFPL}{setelt} &&&
 \end{tabular}
 
 <<domain AFFPL AffinePlane>>=
@@ -404,6 +387,105 @@ AffinePlane(K):Exports == Implementation where
 
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\section{domain AFFPLPS AffinePlaneOverPseudoAlgebraicClosureOfFiniteField}
+<<AffinePlaneOverPseudoAlgebraicClosureOfFiniteField.input>>=
+)set break resume
+)sys rm -f AffinePlaneOverPseudoAlgebraicClosureOfFiniteField.output
+)spool AffinePlaneOverPseudoAlgebraicClosureOfFiniteField.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show AffinePlaneOverPseudoAlgebraicClosureOfFiniteField
+--R AffinePlaneOverPseudoAlgebraicClosureOfFiniteField K: FiniteFieldCategory  is a domain constructor
+--R Abbreviation for AffinePlaneOverPseudoAlgebraicClosureOfFiniteField is AFFPLPS 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for AFFPLPS 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R conjugate : % -> %                    degree : % -> PositiveInteger
+--R hash : % -> SingleInteger             latex : % -> String
+--R orbit : % -> List %                   origin : () -> %
+--R rational? : % -> Boolean              ?~=? : (%,%) -> Boolean
+--R affinePoint : List PseudoAlgebraicClosureOfFiniteField K -> %
+--R coerce : List PseudoAlgebraicClosureOfFiniteField K -> %
+--R coerce : % -> List PseudoAlgebraicClosureOfFiniteField K
+--R conjugate : (%,NonNegativeInteger) -> %
+--R definingField : % -> PseudoAlgebraicClosureOfFiniteField K
+--R ?.? : (%,Integer) -> PseudoAlgebraicClosureOfFiniteField K
+--R list : % -> List PseudoAlgebraicClosureOfFiniteField K
+--R orbit : (%,NonNegativeInteger) -> List %
+--R pointValue : % -> List PseudoAlgebraicClosureOfFiniteField K
+--R rational? : (%,NonNegativeInteger) -> Boolean
+--R removeConjugate : List % -> List %
+--R removeConjugate : (List %,NonNegativeInteger) -> List %
+--R setelt : (%,Integer,PseudoAlgebraicClosureOfFiniteField K) -> PseudoAlgebraicClosureOfFiniteField K
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<AffinePlaneOverPseudoAlgebraicClosureOfFiniteField.help>>=
+====================================================================
+AffinePlaneOverPseudoAlgebraicClosureOfFiniteField examples
+====================================================================
+
+See Also:
+o )show AffinePlaneOverPseudoAlgebraicClosureOfFiniteField
+
+@
+\pagehead{AffinePlaneOverPseudoAlgebraicClosureOfFiniteField}{AFFPLPS}
+\pagepic{ps/v103affineplaneoverpseudoalgebraicclosureoffinitefield.ps}%
+{AFFPLPS}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{AFFPLPS}{?.?} &
+\cross{AFFPLPS}{?=?} &
+\cross{AFFPLPS}{?\~{}=?} &
+\cross{AFFPLPS}{affinePoint} &
+\cross{AFFPLPS}{coerce} \\
+\cross{AFFPLPS}{conjugate} &
+\cross{AFFPLPS}{definingField} &
+\cross{AFFPLPS}{degree} &
+\cross{AFFPLPS}{hash} &
+\cross{AFFPLPS}{latex} \\
+\cross{AFFPLPS}{list} &
+\cross{AFFPLPS}{orbit} &
+\cross{AFFPLPS}{origin} &
+\cross{AFFPLPS}{pointValue} &
+\cross{AFFPLPS}{rational?} \\
+\cross{AFFPLPS}{removeConjugate} &
+\cross{AFFPLPS}{setelt} &&&
+\end{tabular}
+
+<<domain AFFPLPS AffinePlaneOverPseudoAlgebraicClosureOfFiniteField>>=
+)abbrev domain AFFPLPS AffinePlaneOverPseudoAlgebraicClosureOfFiniteField
+++ Author: Gaetan Hache
+++ Date Created: 17 nov 1992
+++ Date Last Updated: May 2010 by Tim Daly
+++ Description:  
+++ The following is all the categories and domains related to projective
+++ space and part of the PAFF package
+AffinePlaneOverPseudoAlgebraicClosureOfFiniteField(K):Exports == Impl where
+  K:FiniteFieldCategory
+
+  KK ==> PseudoAlgebraicClosureOfFiniteField(K)
+
+  Exports ==> AffineSpaceCategory(KK)
+
+  Impl ==> AffinePlane(KK)
+@
+<<AFFPLPS.dotabb>>=
+"AFFPLPS" [color="#88FF44",href="bookvol10.3.pdf#nameddest=AFFPLPS"];
+"AFFPL" [color="#88FF44",href="bookvol10.3.pdf#nameddest=AFFPL"];
+"AFFPLPS" -> "AFFPL"
+
+@
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain AFFSP AffineSpace}
 <<AffineSpace.input>>=
 )set break resume
@@ -125088,6 +125170,7 @@ Note that this code is not included in the generated catdef.spad file.
 <<algebra>>=
 
 <<domain AFFPL AffinePlane>>
+<<domain AFFPLPS AffinePlaneOverPseudoAlgebraicClosureOfFiniteField>>
 <<domain AFFSP AffineSpace>>
 <<domain ALGSC AlgebraGivenByStructuralConstants>>
 <<domain ALGFF AlgebraicFunctionField>>
diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index 3a929f5..3d3405d 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -23830,6 +23830,7 @@ otherwise the new algebra won't be loaded by the interpreter when needed.
  ;;define the groups |basic| |naglink| |anna| |categories| |Hidden| |defaults|
   (|basic| 
    (|AffinePlane| . AFFPL)
+   (|AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| . AFFPLPS)
    (|AffineSpace| . AFFSP)
    (|AlgebraicManipulations| . ALGMANIP)
    (|AlgebraicNumber| . AN)
diff --git a/books/ps/v103affineplaneoverpseudoalgebraicclosureoffinitefield.ps b/books/ps/v103affineplaneoverpseudoalgebraicclosureoffinitefield.ps
new file mode 100644
index 0000000..e7f4e26
--- /dev/null
+++ b/books/ps/v103affineplaneoverpseudoalgebraicclosureoffinitefield.ps
@@ -0,0 +1,268 @@
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: Graphviz version 2.20.2 (Mon Mar 30 10:09:11 UTC 2009)
+%%For: (root) root
+%%Title: pic
+%%Pages: (atend)
+%%BoundingBox: (atend)
+%%EndComments
+save
+%%BeginProlog
+/DotDict 200 dict def
+DotDict begin
+
+/setupLatin1 {
+mark
+/EncodingVector 256 array def
+ EncodingVector 0
+
+ISOLatin1Encoding 0 255 getinterval putinterval
+EncodingVector 45 /hyphen put
+
+% Set up ISO Latin 1 character encoding
+/starnetISO {
+        dup dup findfont dup length dict begin
+        { 1 index /FID ne { def }{ pop pop } ifelse
+        } forall
+        /Encoding EncodingVector def
+        currentdict end definefont
+} def
+/Times-Roman starnetISO def
+/Times-Italic starnetISO def
+/Times-Bold starnetISO def
+/Times-BoldItalic starnetISO def
+/Helvetica starnetISO def
+/Helvetica-Oblique starnetISO def
+/Helvetica-Bold starnetISO def
+/Helvetica-BoldOblique starnetISO def
+/Courier starnetISO def
+/Courier-Oblique starnetISO def
+/Courier-Bold starnetISO def
+/Courier-BoldOblique starnetISO def
+cleartomark
+} bind def
+
+%%BeginResource: procset graphviz 0 0
+/coord-font-family /Times-Roman def
+/default-font-family /Times-Roman def
+/coordfont coord-font-family findfont 8 scalefont def
+
+/InvScaleFactor 1.0 def
+/set_scale {
+       dup 1 exch div /InvScaleFactor exch def
+       scale
+} bind def
+
+% styles
+/solid { [] 0 setdash } bind def
+/dashed { [9 InvScaleFactor mul dup ] 0 setdash } bind def
+/dotted { [1 InvScaleFactor mul 6 InvScaleFactor mul] 0 setdash } bind def
+/invis {/fill {newpath} def /stroke {newpath} def /show {pop newpath} def} bind def
+/bold { 2 setlinewidth } bind def
+/filled { } bind def
+/unfilled { } bind def
+/rounded { } bind def
+/diagonals { } bind def
+
+% hooks for setting color 
+/nodecolor { sethsbcolor } bind def
+/edgecolor { sethsbcolor } bind def
+/graphcolor { sethsbcolor } bind def
+/nopcolor {pop pop pop} bind def
+
+/beginpage {	% i j npages
+	/npages exch def
+	/j exch def
+	/i exch def
+	/str 10 string def
+	npages 1 gt {
+		gsave
+			coordfont setfont
+			0 0 moveto
+			(\() show i str cvs show (,) show j str cvs show (\)) show
+		grestore
+	} if
+} bind def
+
+/set_font {
+	findfont exch
+	scalefont setfont
+} def
+
+% draw text fitted to its expected width
+/alignedtext {			% width text
+	/text exch def
+	/width exch def
+	gsave
+		width 0 gt {
+			[] 0 setdash
+			text stringwidth pop width exch sub text length div 0 text ashow
+		} if
+	grestore
+} def
+
+/boxprim {				% xcorner ycorner xsize ysize
+		4 2 roll
+		moveto
+		2 copy
+		exch 0 rlineto
+		0 exch rlineto
+		pop neg 0 rlineto
+		closepath
+} bind def
+
+/ellipse_path {
+	/ry exch def
+	/rx exch def
+	/y exch def
+	/x exch def
+	matrix currentmatrix
+	newpath
+	x y translate
+	rx ry scale
+	0 0 1 0 360 arc
+	setmatrix
+} bind def
+
+/endpage { showpage } bind def
+/showpage { } def
+
+/layercolorseq
+	[	% layer color sequence - darkest to lightest
+		[0 0 0]
+		[.2 .8 .8]
+		[.4 .8 .8]
+		[.6 .8 .8]
+		[.8 .8 .8]
+	]
+def
+
+/layerlen layercolorseq length def
+
+/setlayer {/maxlayer exch def /curlayer exch def
+	layercolorseq curlayer 1 sub layerlen mod get
+	aload pop sethsbcolor
+	/nodecolor {nopcolor} def
+	/edgecolor {nopcolor} def
+	/graphcolor {nopcolor} def
+} bind def
+
+/onlayer { curlayer ne {invis} if } def
+
+/onlayers {
+	/myupper exch def
+	/mylower exch def
+	curlayer mylower lt
+	curlayer myupper gt
+	or
+	{invis} if
+} def
+
+/curlayer 0 def
+
+%%EndResource
+%%EndProlog
+%%BeginSetup
+14 default-font-family set_font
+1 setmiterlimit
+% /arrowlength 10 def
+% /arrowwidth 5 def
+
+% make sure pdfmark is harmless for PS-interpreters other than Distiller
+/pdfmark where {pop} {userdict /pdfmark /cleartomark load put} ifelse
+% make '<<' and '>>' safe on PS Level 1 devices
+/languagelevel where {pop languagelevel}{1} ifelse
+2 lt {
+    userdict (<<) cvn ([) cvn load put
+    userdict (>>) cvn ([) cvn load put
+} if
+
+%%EndSetup
+setupLatin1
+%%Page: 1 1
+%%PageBoundingBox: 36 36 122 152
+%%PageOrientation: Portrait
+0 0 1 beginpage
+gsave
+36 36 86 116 boxprim clip newpath
+1 1 set_scale 0 rotate 40 40 translate
+% AFFPLPS
+gsave
+[ /Rect [ 0 72 78 108 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI (bookvol10.3.pdf#nameddest=AFFPLPS) >>
+  /Subtype /Link
+/ANN pdfmark
+0.273 0.733 1.000 nodecolor
+newpath 78 108 moveto
+0 108 lineto
+0 72 lineto
+78 72 lineto
+closepath fill
+1 setlinewidth
+filled
+0.273 0.733 1.000 nodecolor
+newpath 78 108 moveto
+0 108 lineto
+0 72 lineto
+78 72 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+14 /Times-Roman set_font
+8 85.9 moveto 62 (AFFPLPS) alignedtext
+grestore
+% AFFPL
+gsave
+[ /Rect [ 9 0 69 36 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI (bookvol10.3.pdf#nameddest=AFFPL) >>
+  /Subtype /Link
+/ANN pdfmark
+0.273 0.733 1.000 nodecolor
+newpath 69 36 moveto
+9 36 lineto
+9 0 lineto
+69 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.273 0.733 1.000 nodecolor
+newpath 69 36 moveto
+9 36 lineto
+9 0 lineto
+69 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+14 /Times-Roman set_font
+17 13.9 moveto 44 (AFFPL) alignedtext
+grestore
+% AFFPLPS->AFFPL
+gsave
+1 setlinewidth
+0.000 0.000 0.000 edgecolor
+newpath 39 72 moveto
+39 64 39 55 39 46 curveto
+stroke
+0.000 0.000 0.000 edgecolor
+newpath 42.5 46 moveto
+39 36 lineto
+35.5 46 lineto
+closepath fill
+1 setlinewidth
+solid
+0.000 0.000 0.000 edgecolor
+newpath 42.5 46 moveto
+39 36 lineto
+35.5 46 lineto
+closepath stroke
+grestore
+endpage
+showpage
+grestore
+%%PageTrailer
+%%EndPage: 1
+%%Trailer
+%%Pages: 1
+%%BoundingBox: 36 36 122 152
+end
+restore
+%%EOF
diff --git a/changelog b/changelog
index b648ac9..1950416 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,8 @@
+20100516 tpd src/axiom-website/patches.html 20100516.06.tpd.patch
+20100516 tpd src/algebra/Makefile help and test AFFPLPS
+20100516 tpd books/bookvol5 expose AFFPLPS
+20100516 tpd books/bookvol10.3 add AFFPLPS
+20100516 tpd books/ps/v103affineplaneoverpseudoalgebraicclosureoffinitefield.ps
 20100516 tpd src/axiom-website/patches.html 20100516.05.tpd.patch
 20100516 tpd src/algebra/Makefile help and test for AFFPL
 20100516 tpd books/bookvol5 expose AffinePlane
diff --git a/src/algebra/Makefile.pamphlet b/src/algebra/Makefile.pamphlet
index abf39f4..df99a85 100644
--- a/src/algebra/Makefile.pamphlet
+++ b/src/algebra/Makefile.pamphlet
@@ -12038,7 +12038,8 @@ for other cliques in bootstrap. This needs to be investigated.
 <<layer17>>=
 
 LAYER17=\
-  ${OUT}/ACFS.o     ${OUT}/ACFS-.o    ${OUT}/AF.o       ${OUT}/ALGFACT.o  \
+  ${OUT}/ACFS.o     ${OUT}/ACFS-.o    ${OUT}/AF.o       ${OUT}/AFFPLPS.o  \
+  ${OUT}/ALGFACT.o  \
   ${OUT}/ALGFF.o    ${OUT}/ALGMANIP.o ${OUT}/ALGMFACT.o ${OUT}/ALGPKG.o   \
   ${OUT}/ALGSC.o    ${OUT}/AN.o       ${OUT}/APPRULE.o  ${OUT}/ASP19.o    \
   ${OUT}/ASP20.o    ${OUT}/ASP31.o    ${OUT}/ASP35.o    ${OUT}/ASP41.o    \
@@ -12132,6 +12133,16 @@ LAYER17=\
 /*"AF" -> {"RADCAT"; "BOOLEAN"; "CACHSET"; "INS"; "OINTDOM"; "ORDRING"}*/
 /*"AF" -> {"OAGROUP"; "OCAMON"; "OAMON"; "OASGP"; "CFCAT"; "REAL"; "INS-"}*/
 
+"AFFPLPS" [color="#88FF44",href="bookvol10.3.pdf#nameddest=AFFPLPS"]
+/*"AFFPLPS" -> {"AFSPCAT"; "SETCATD"; "SETCAT"; "BASTYPE"; "KOERCE"}*/
+"AFFPLPS" -> "PACFFC"
+/*"AFFPLPS" -> {"FFIELDC"; "FPC"; "FIELD"; "EUCDOM"; "PID"; "GCDDOM"}*/
+/*"AFFPLPS" -> {"INTDOM"; "COMRING"; "RING"; "RNG"; "ABELGRP"; "CABMON"}*/
+/*"AFFPLPS" -> {"ABELMON"; "ABELSG"; "SGROUP"; "MONOID"; "LMODULE"}*/
+/*"AFFPLPS" -> {"BMODULE"; "RMODULE"; "ALGEBRA"; "MODULE"; "ENTIRER"}*/
+/*"AFFPLPS" -> {"UFD"; "DIVRING"; "CHARNZ"; "FINITE"; "STEP"; "DIFRING"}*/
+/*"AFFPLPS" -> {"PACPERC"; "PACOFF"; "AFFPL"}*/
+
 "ALGFACT" [color="#FF4488",href="bookvol10.4.pdf#nameddest=ALGFACT"]
 /*"ALGFACT" -> {"UPOLYC"; "POLYCAT"; "PDRING"; "RING"; "RNG"; "ABELGRP"}*/
 /*"ALGFACT" -> {"CABMON"; "ABELMON"; "ABELSG"; "SETCAT"; "BASTYPE"; "KOERCE"}*/
@@ -16432,6 +16443,22 @@ ${MID}/AFFPL.nrlib/code.o: ${MID}/AFFPL.spad
 	   fi )
 @
 
+<<newcode>>=
+
+AFFPLPSDEPS = PACOFF AFSPCAT AFFPL SETCATD PACFFC PACPERC
+
+${MID}/AFFPLPS.nrlib/code.o: ${MID}/AFFPLPS.spad
+	@echo P3 making ${MID}/AFFPLPS.nrlib/code.o from ${MID}/AFFPLPS.spad
+	@ (cd ${MID} ; \
+	   if [ -z "${NOISE}" ] ; then \
+	    echo -e ")lib ${AFFPLPSDEPS} \n )co AFFPLPS.spad" \
+              | ${INTERPSYS} ; \
+           else \
+	    echo -e ")lib ${AFFPLPSDEPS} \n )co AFFPLPS.spad" \
+	      | ${INTERPSYS} >${TMP}/trace ; \
+	   fi )
+@
+
 \section{Broken Files}
 These files are Aldor files
 \begin{verbatim}
@@ -17136,6 +17163,7 @@ HELPFILE=${HELP}/help.help
 
 SPADHELP=\
  ${HELP}/AffinePlane.help \
+ ${HELP}/AffinePlaneOverPseudoAlgebraicClosureOfFiniteField.help \
  ${HELP}/AffineSpace.help \
  ${HELP}/AffineSpaceCategory.help \
  ${HELP}/AlgebraicallyClosedField.help \
@@ -17320,6 +17348,7 @@ TESTSYS=  ${OBJ}/${SYS}/bin/interpsys
 
 REGRESS= \
  AffinePlane.regress \
+ AffinePlaneOverPseudoAlgebraicClosureOfFiniteField.regress \
  AffineSpace.regress \
  AffineSpaceCategory.regress \
  AlgebraicallyClosedField.regress \
@@ -17514,8 +17543,26 @@ ${HELP}/AffinePlane.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/AffinePlane.input
 	@echo "AffinePlane (AFFPL)" >>${HELPFILE}
 
+${HELP}/AffinePlaneOverPseudoAlgebraicClosureOfFiniteField.help: \
+            ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7001 create \
+            AffinePlaneOverPseudoAlgebraicClosureOfFiniteField.help from \
+            ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} \
+            -R"AffinePlaneOverPseudoAlgebraicClosureOfFiniteField.help" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${HELP}/AffinePlaneOverPseudoAlgebraicClosureOfFiniteField.help
+	@cp ${HELP}/AffinePlaneOverPseudoAlgebraicClosureOfFiniteField.help \
+            ${HELP}/AFFPLPS.help
+	@${TANGLE} \
+            -R"AffinePlaneOverPseudoAlgebraicClosureOfFiniteField.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/AffinePlaneOverPseudoAlgebraicClosureOfFiniteField.input
+	@echo "AffinePlaneOverPseudoAlgebraicClosureOfFiniteField (AFFPLPS)" \
+            >>${HELPFILE}
+
 ${HELP}/AffineSpace.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7001 create AffineSpace.help from \
+	@echo 7002 create AffineSpace.help from \
             ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"AffineSpace.help" \
             ${BOOKS}/bookvol10.3.pamphlet \
@@ -17527,7 +17574,7 @@ ${HELP}/AffineSpace.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "AffineSpace (AFFSP)" >>${HELPFILE}
 
 ${HELP}/AffineSpaceCategory.help: ${BOOKS}/bookvol10.2.pamphlet
-	@echo 7002 create AffineSpaceCategory.help from \
+	@echo 7003 create AffineSpaceCategory.help from \
             ${BOOKS}/bookvol10.2.pamphlet
 	@${TANGLE} -R"AffineSpaceCategory.help" \
             ${BOOKS}/bookvol10.2.pamphlet \
@@ -17539,7 +17586,7 @@ ${HELP}/AffineSpaceCategory.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo "AffineSpaceCategory (AFSPCAT)" >>${HELPFILE}
 
 ${HELP}/AlgebraicallyClosedField.help: ${BOOKS}/bookvol10.2.pamphlet
-	@echo 7003 create AlgebraicallyClosedField.help from \
+	@echo 7004 create AlgebraicallyClosedField.help from \
             ${BOOKS}/bookvol10.2.pamphlet
 	@${TANGLE} -R"AlgebraicallyClosedField.help" \
             ${BOOKS}/bookvol10.2.pamphlet \
@@ -17551,7 +17598,7 @@ ${HELP}/AlgebraicallyClosedField.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo "AlgebraicallyClosedField (ACF)" >>${HELPFILE}
 
 ${HELP}/Any.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7004 create Any.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7005 create Any.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Any.help" ${BOOKS}/bookvol10.3.pamphlet >${HELP}/Any.help
 	@cp ${HELP}/Any.help ${HELP}/ANY.help
 	@${TANGLE} -R"Any.input" ${BOOKS}/bookvol10.3.pamphlet \
@@ -17559,7 +17606,7 @@ ${HELP}/Any.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Any (ANY)" >>${HELPFILE}
 
 ${HELP}/ApplicationProgramInterface.help: ${BOOKS}/bookvol10.4.pamphlet
-	@echo 7005 create ApplicationProgramInterface.help from \
+	@echo 7006 create ApplicationProgramInterface.help from \
            ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"ApplicationProgramInterface.help" \
            ${BOOKS}/bookvol10.4.pamphlet \
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 6bff3d0..08a4247 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2735,5 +2735,7 @@ books/bookvol10.3 add AffineSpace<br/>
 books/bookvol10.2 fix AffineSpaceCategory.input NNI bug<br/>
 <a href="patches/20100516.05.tpd.patch">20100516.05.tpd.patch</a>
 books/bookvol10.3 add AffinePlane<br/>
+<a href="patches/20100516.06.tpd.patch">20100516.06.tpd.patch</a>
+books/bookvol10.3.AffinePlaneOverPseudoAlgebraicClosureOfFiniteField<br/>
  </body>
 </html>
